Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class LogManager

    java.lang.Object
      |
      +--org.apache.velocity.runtime.log.LogManager

public class LogManager
extends java.lang.Object

This class is responsible for instantiating the correct LoggingSystem

The approach is :

- First try to see if the user is passing in a living object that is a LogSystem, allowing the app to give is living custom loggers.
- Next, run through the (possible) list of classes specified specified as loggers, taking the first one that appears to work. This is how we support finding either log4j or logkit, whichever is in the classpath, as both are listed as defaults.
- Finally, we turn to 'faith-based' logging, and hope that logkit is in the classpath, and try for an AvalonLogSystem as a final gasp. After that, there is nothing we can do.

Version:
  $Id: LogManager.java,v 1.9 2001/11/17 12:32:34 geirm Exp $
Author:
  Jason van Zyl, Jon S. Stevens, Geir Magnusson Jr.

Constructor Summary
`LogManager()`

Method Summary
`static LogSystem` | `createLogSystem(RuntimeServices rsvc)` Creates a new logging system or returns an existing one specified by the application.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### createLogSystem

    public static LogSystem createLogSystem(RuntimeServices rsvc)
                                     throws java.lang.Exception

  Creates a new logging system or returns an existing one specified by the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.